Page MenuHomePhabricator

Allow Programs & Events Dashboard to make automatic edits on connected wikis
Closed, ResolvedPublic

Description

The Programs & Events Dashboard — outreachdashboard.wmflabs.org — supports coordinated editing programs, like edit-a-thons and the Wikipedia Education Program — across many languages and Wikimedia projects. The Wiki Education Foundation Dashboard — dashboard.wikiedu.org — uses OAuth to make automatic edits on English Wikipedia, adding templates to user pages and article talk pages as well as creating and updating mirrored wiki versions of each course page. For example: https://en.wikipedia.org/wiki/Wikipedia:Wiki_Ed/University_of_Guelph/Pet_Nutrition_%28Fall_2016%29

These wiki editing features would be useful for Programs & Events Dashboard as well, especially for Wikipedia Education Programs that want to move from deprecated EducationProgram extension to the dashboard as the basis for organizing Wikipedia classroom projects. To do that, we'll need to extend the dashboard system to:

  • Enable wiki edits on a per-wiki basis
  • Design a standard form for working with templates on a per-wiki basis
  • Identifying which types of edits can be applied to any wiki and which can't
  • Design a workflow for enabling wiki edits on new wikis

This project will be rooted in Ruby. Additional helpful skills/experience include:

  • Text processing / Regular expressions
  • Mediawiki markup and templates
  • Ruby on Rails
  • Object-oriented design
  • usage of the Mediawiki API

Mentors:

  • @Ragesoss (product, Wiki Education Foundation)
  • @Capt_Swing (design research, Wikimedia Foundation)

Get started:

Event Timeline

Ragesoss created this task.Feb 21 2017, 5:43 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptFeb 21 2017, 5:43 PM
Ragesoss updated the task description. (Show Details)Feb 21 2017, 5:48 PM
Ragesoss added a subscriber: Capt_Swing.
Keer25 added a subscriber: Keer25.Feb 25 2017, 10:30 AM
Mvolz added a subscriber: Mvolz.Feb 26 2017, 9:29 PM

Is this eligible for GSoC too?

Is this eligible for GSoC too?

I think so? I'd like it to be.

Hi, I would like to work on this task as my project proposal for Outreachy Round 14. Should I create a subtask as suggested in the Outreachy wiki?

Click on Edit related tasks -> Create Subtask to create a subtask and add a proposal according to Application Template. This link will also be useful if you haven't come across it already.

@Keer25 Thanks for the help! I was just checking with the mentors if it is okay to create the proposal subtask before a discussion about the goals and project milestones :)

@Medhabansal yes, please do! @Capt_Swing and/or I can give you feedback once you've got an initial draft.

Sumit removed Medhabansal as the assignee of this task.May 7 2017, 8:01 AM
Sumit added a subscriber: Sumit.

removing assignee as this is the project task.

Hello! Thank you for featuring this project in the previous edition of Google Summer of Code. Did the student complete the project requirements? In any case, please help modify the task description and add/remove the tags accordingly. Thank you!

Ragesoss closed this task as Resolved.Jan 11 2018, 8:59 PM
Ragesoss claimed this task.

Yep!